Skip to content
Docs

API reference / Operations by tag

landing-pages

Landing pages and pre-landers of an offer.

9 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
GET/landing-pagesList LandingPages
GET/landing-pages/{id}Get LandingPage
PATCH/landing-pages/{id}Update LandingPage
DELETE/landing-pages/{id}Delete LandingPage
POST/landing-pages/{id}/previewExpand landing-page URL macros with sample values
POST/landing-pages/bulk/deleteDelete up to 500 landing pages in one transaction (dry_run: true previews without saving)
POST/landing-pages/searchSearch LandingPages (advanced)
GET/offers/{id}/landing-pagesList offer landing-pages
POST/offers/{id}/landing-pagesCreate offer landing-page

GET /landing-pages

List LandingPages

Operation getLandingPages. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
pagequeryintegerno
page_sizequeryintegerno
sortquerystringnofield or -field
includequerystringnocomma-separated relationships
filterqueryobject (free-form)no
qquerystringnofree-text search
StatusDescriptionBody
200okapplication/json LandingPageList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/landing-pages?page=1&page_size=50' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

GET /landing-pages/{id}

Get LandingPage

Operation getLandingPagesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json LandingPage
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/landing-pages/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "external_ref": ""
}

PATCH /landing-pages/{id}

Update LandingPage

Operation patchLandingPagesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): LandingPageUpdate

FieldTypeFlagsDescription
titlestring
urlstring
preview_urlstring
lp_typeenum: landing, prelanding, targeting_group
statusstring
is_defaultboolean
split_urlsarray of object (free-form)
weightinteger
rule_set_idstring
partner_visibilityenum: all, specific
partner_idsarray of string
StatusDescriptionBody
200okapplication/json LandingPage
defaulterrorapplication/json Error
bash
curl -X PATCH 'https://api.metrixed.com/v1/landing-pages/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"title":"","url":"","preview_url":"","lp_type":"landing"}'

Example 200 response:

json
{
  "external_ref": ""
}

DELETE /landing-pages/{id}

Delete LandingPage

Operation deleteLandingPagesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X DELETE 'https://api.metrixed.com/v1/landing-pages/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 204 response:

json
{
  "ok": false
}

POST /landing-pages/{id}/preview

Expand landing-page URL macros with sample values

Operation postLandingPagesIdPreview. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/landing-pages/<id>/preview' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "ok": false
}

POST /landing-pages/bulk/delete

Delete up to 500 landing pages in one transaction (dry_run: true previews without saving)

Operation postLandingPagesBulkDelete. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkDeleteRequest

StatusDescriptionBody
200okapplication/json BulkActionResult
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/landing-pages/bulk/delete' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Example 200 response:

json
{}

POST /landing-pages/search

Search LandingPages (advanced)

Operation postLandingPagesSearch. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): SearchRequest

FieldTypeFlagsDescription
filtersarray of object
searchstring
sortarray of object (free-form)
pageinteger
page_sizeinteger
includearray of string
StatusDescriptionBody
200okapplication/json LandingPageList
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/landing-pages/search' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

GET /offers/{id}/landing-pages

List offer landing-pages

Operation getOffersIdLandingPages. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json LandingPageList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/offers/<id>/landing-pages' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

POST /offers/{id}/landing-pages

Create offer landing-page

Operation postOffersIdLandingPages. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): LandingPageCreate

FieldTypeFlagsDescription
titlestringrequired
urlstringrequired
preview_urlstring
lp_typeenum: landing, prelanding, targeting_group
statusstring
is_defaultboolean
split_urlsarray of object (free-form)
weightinteger
rule_set_idstring
partner_visibilityenum: all, specific
partner_idsarray of string
StatusDescriptionBody
201okapplication/json LandingPage
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/offers/<id>/landing-pages' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"title":"","url":""}'

Example 201 response:

json
{
  "external_ref": ""
}